<template>
	<div class="control-userBigTable wow fadeInUp">
		<p class="text-bold">{{ $t('users.auth_logs.title') }}</p>
		<div class="text-headFour">
			<div class="text-head--left">
				<p class="text-id">{{ $t('users.auth_logs.date') }}</p>
				<p class="text-id">{{ $t('users.auth_logs.ip') }}</p>
			</div>
			<div class="text-head--right">
				<p class="text-id">{{ $t('users.auth_logs.country') }}</p>
			</div>
		</div>
		<div class="body--elementFour" v-for="log in logs">
			<div class="body__element--left">
				<p class="text-idBold">{{ formatDate(log.created_at) }}</p>
				<p class="text-id">{{ log.ip }}</p>
			</div>
			<div class="body__element--right">
				<p class="text-id country">
					<svg class="flag-icon">
						<use :xlink:href="`/img/flags.svg#${log.country_code.toLowerCase()}`"/>
					</svg>
					{{ log.country_code.toUpperCase() }}
				</p>
			</div>
		</div>
		<paginator
			:current-page="currentPage"
			:last-page="lastPage"
			:per-page="perPage"
			:items-count="total"
			@page-changed="setPage"
		/>
	</div>
</template>

<script>
import {mapGetters} from "vuex";
import currencies from "../../currencies";

export default {
	name: "ShortLogs",
	props: ['user'],
	data() {
		return {
			currentPage: 0,
			lastPage: 0,
			perPage: 0,
			total: 0,
			page: 1,
			logs: [],
		}
	},
	computed: {
		...mapGetters([
			'axios'
		])
	},
	methods: {
		submit() {
			this.axios.get(`users/${this.user.id}/short_logs`, {
				params: {
					page: this.page,
				}
			})
				.then(resp => resp.data)
				.then(logs => {
					console.log(logs);
					this.currentPage = logs.current_page;
					this.lastPage = logs.last_page;
					this.perPage = logs.per_page;
					this.total = logs.total;
					this.logs = logs.data;
				});
		},
		setPage(page) {
			this.page = page;
			this.submit();
		},
		formatDate(date) {
			return this.$date(date).format('DD.MM.YYYY HH:mm:ss');
		},
		formatAmount(amount, currency) {
			return currencies.formatWithDefault(amount, currency);
		},
	},
	mounted() {
		this.submit();
	},
}
</script>

<style scoped lang="scss">

.flag-icon {
	display: block;
	max-width: 30px;
	height: 30px;
	margin-right: 5px;
}

.country {
	display: flex;
	justify-content: flex-start;
	align-items: center;
}

@media(max-width: 616px) {
	.country {
		justify-content: center;
	}
}
</style>
